package com.lovenav.entity;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * ln_comment
 */
@Data
public class Comment implements Serializable {
    public Comment(){
        this.likeCount = Long.valueOf(0);
        this.commentStatus = 0;
    }
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUrlId() {
        return urlId;
    }

    public void setUrlId(Integer urlId) {
        this.urlId = urlId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getRootCommentId() {
        return rootCommentId;
    }

    public void setRootCommentId(Integer rootCommentId) {
        this.rootCommentId = rootCommentId;
    }

    public Long getLikeCount() {
        return likeCount;
    }

    public void setLikeCount(Long likeCount) {
        this.likeCount = likeCount;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public Byte getCommentStatus() {
        return commentStatus;
    }

    public void setCommentStatus(Byte commentStatus) {
        this.commentStatus = commentStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getRating() {
        return rating;
    }

    public void setRating(Integer rating) {
        this.rating = rating;
    }

    /**
     * id
     */
    private Integer id;

    /**
     * 所属url id
     */
    private Integer urlId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 父评论id
     */
    private Integer rootCommentId;

    /**
     * 点赞数
     */
    private Long likeCount;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 状态
     */
    private Byte commentStatus;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 用户评级
     */
    private Integer rating;

    private static final long serialVersionUID = 1L;
}